%global momorel 2
%global srcver 4.3.1

%global qtver 4.5.1
%global qtrel 4m
%global cmakever 2.6.4
%global cmakerel 1m
%global ftpdirver 4.2.1
%global sourcedir stable/%{ftpdirver}/src

Summary: Multimedia framework api
Name: phonon 
Version: %{srcver}
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPLv2+
URL: http://phonon.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
NoSource: 0
# build only the xine backend
Patch0: phonon-4.3.1-xineonly.patch
# bump PulseAudio's priority in the xine backend
Patch1: phonon-4.2.96-xine-pulseaudio.patch

## Upstream patches
# fix for non-ascii filenames in xine backend
Patch100: phonon-4.3.2-kdebug#172242.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: automoc4 >= 0.9.86
BuildRequires: cmake >= %{cmakever}
BuildRequires: glib2-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: pkgconfig
BuildRequires: qt-devel >= %{qtver}-%{qtrel}
BuildRequires: xine-lib

%description
%{summary}.

%package backend-xine
Summary: xine phonon backend
Group:   Applications/Multimedia
Provides: phonon-backend = %{version}-%{release}

%description backend-xine
%{summary}.

%prep
%setup -q
%patch0 -p1 -b .xineonly
%patch1 -p1 -b .xine-pulseaudio
%patch100 -p1 -b .xine_nonascii

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# move the oxygen-only phonon-xine icons to hicolor
if [ ! -d %{buildroot}%{_datadir}/icons/hicolor ] ; then
  mv %{buildroot}%{_datadir}/icons/oxygen \
     %{buildroot}%{_datadir}/icons/hicolor
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post backend-xine
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun backend-xine
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%files backend-xine
%defattr(-,root,root,-)
%doc COPYING.LIB
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plugins/phonon_backend/phonon_xine.so
%{_kde4_datadir}/kde4/services/phononbackends/xine.desktop
%{_datadir}/icons/hicolor/*/apps/phonon-xine.*

%changelog
* Sun Jun  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.1-2m)
- this pckage provides phonon-backend-xine only

* Fri Mar  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.1-1m)
- update to 4.3.1
- apply apstream patches
- add some BuildRequres

* Sat Jan 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.0-1m)
- update to 4.3.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.96-2m)
- rebuild against rpm-4.6

* Fri Jan 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.96-1m)
- update to 4.2.96

* Sun Jan 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.81-0.20090103.2m)
- update Patch0 for fuzz=0

* Sat Jan  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.81-0.20090103.1m)
- update to 4.2.80 svn 20090103 snapshot

* Tue Dec 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.80-1m)
- version 4.2.80
- BuildRequires: ImageMagick to convert icons

* Tue Dec 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.1-0.20081107.2m)
- apply xine-pulseaudio.patch
- BuildRequires: xine-lib

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-0.20081107.1m)
- update 4.2.1 svn 20081107 snapshot

* Mon Oct 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-0.20081012.1m)
- update 4.2.1 svn 20081012 snapshot

* Thu Sep  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-0.855256.1m)
- update to rev.855256 snapshot

* Wed Sep  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.0-3m)
- import pulseaudio.patch from Fedora
 +* Sun Aug 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.2.0-4
 +- fix PulseAudio not being the default in the Xine backend (4.2 regression)

- * Mon Sep  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.1-0.855256.1m)
- - update to rev.855256 snapshot

- * Thu Aug 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.1-0.849968.1m)
- - update to rev.849968 snapshot
- - rename from phonon-backend-gst to phonon-backend-gstreamer

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.0-2m)
- change BuildRequires: gst-plugins-base-devel to gstreamer-plugins-base-devel

* Fri Jul 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.0-1m)
- update to 4.2.0 (stable version)

* Wed Jun 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2-0.2.1m)
- import from Fedora devel

* Fri Jun 20 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2-0.2.beta2
- phonon 4.2beta2 (aka 4.1.83)

* Sat Jun 14 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2-0.1.20080614svn820634
- first try

